Серьезные уязвимости, включая XSS, исправлены в Drupal 8

Серьезные уязвимости, включая XSS, исправлены в Drupal 8

Разработчики Drupal в среду объявили о том, что стали доступны версии 8.1.10 и 8.2.0-rc2. В них устранены три потенциально опасных уязвимости.

Версии Drupal 8.x имеют несколько брешей в безопасности – две из них позволяют обойти ограничения, одна является уязвимостью межсайтового скриптинга (XSS). XSS-уязвимость получила значение «критической» и позволяет злоумышленнику выполнить произвольный код в браузере пользователя, воспользовавшись специально созданным URL. Проблема вызвана отсутствием корректной обработки исключений в HTTP.

Еще одна уязвимость, также получившая рейтинг «критическая», связана с функцией, которая позволяет владельцу сайта на Drupal экспортировать конфигурацию своего сайта в файл. Функция должна быть доступна пользователям, которые имеют права доступа, но брешь в безопасности позволяет загрузить полный экспорт конфигурации даже без административных привилегий.

Менее критичная уязвимость связана с видимостью комментариев. Эксперты обнаружили, что пользователь, имеющий право редактировать ноду может установить видимость комментариев, несмотря на то, что эта процедура должна быть ограничена.

Для администраторов сайтов на Drupal очень важно как можно скорее обновить свои версии движка. Многие из вышеперечисленных уязвимостей эксплуатируются в настоящий момент в попытках взломать сайты.

Подпишитесь
в Facebook

Я уже с вами